import DollarIcon from "@core/components/icons/dollar";
import CalendarTwoIcon from "@core/components/icons/calendar-two";
import UsersOutlineIcon from "@core/components/icons/users-outline";
import ArrowSideUpDownIcon from "@core/components/icons/arrow-side-up-down";
import ShopifyIcon from "@core/components/icons/shopify";
import HubSpotIcon from "@core/components/icons/hubspot";
import AliExpressIcon from "@core/components/icons/ali-express";
import BlenderIcon from "@core/components/icons/blender";

export const affiliateStatData = [
  {
    icon: DollarIcon,
    title: "Total Earnings",
    amount: 189935,
    increasedPercentage: 25.2,
    weeklyIncreased: "1.01%",
    color: "#E1E2F6",
    iconColor: "#353297",
  },
  {
    icon: CalendarTwoIcon,
    title: "Total Campaigns",
    amount: 89935,
    increasedPercentage: 25.2,
    weeklyIncreased: "1.01%",
    color: "#F8EFE2",
    iconColor: "#FF9053",
  },
  {
    icon: UsersOutlineIcon,
    title: "Subscribers",
    amount: 9935,
    increasedPercentage: 25.2,
    weeklyIncreased: "1.01%",
    color: "#EFF7E2",
    iconColor: "#49982E",
  },
  {
    icon: ArrowSideUpDownIcon,
    title: "Conversion",
    amount: 55.49,
    increasedPercentage: 25.2,
    weeklyIncreased: "1.01%",
    color: "#E6F2FF",
    iconColor: "#347AE2",
  },
];

export const visitorsStatisticsData = [
  {
    month: "Jan",
    downloads: 2000,
    uploads: 1000,
  },
  {
    month: "Feb",
    downloads: 4200,
    uploads: 3700,
  },
  {
    month: "Mar",
    downloads: 3000,
    uploads: 5800,
  },
  {
    month: "Apr",
    downloads: 5780,
    uploads: 3908,
  },
  {
    month: "May",
    downloads: 4080,
    uploads: 2500,
  },
  {
    month: "Jun",
    downloads: 2300,
    uploads: 5200,
  },
  {
    month: "Jul",
    downloads: 4890,
    uploads: 6500,
  },
  {
    month: "Aug",
    downloads: 3780,
    uploads: 4908,
  },
  {
    month: "Sep",
    downloads: 5800,
    uploads: 2800,
  },
  {
    month: "Oct",
    downloads: 6000,
    uploads: 1908,
  },
  {
    month: "Nov",
    downloads: 2780,
    uploads: 3908,
  },
  {
    month: "Dec",
    downloads: 7500,
    uploads: 3000,
  },
];

export const campaignsListData = [
  {
    id: 1,
    image: "https://isomorphic-furyroad.s3.amazonaws.com/public/avatars/avatar-12.webp",
    campaignName: "Gina Vanleuven",
    company: "Hubsport",
    companyIcon: HubSpotIcon,
    salesRange: 4480,
    paymentMethod: "Paypal",
    commission: 25.2,
  },
  {
    id: 2,
    image: "https://isomorphic-furyroad.s3.amazonaws.com/public/avatars/avatar-11.webp",
    campaignName: "Matte Hannery",
    company: "Shopify",
    companyIcon: ShopifyIcon,
    salesRange: 8680,
    paymentMethod: "Bank Transfer",
    commission: 25.2,
  },
  {
    id: 3,
    image: "https://isomorphic-furyroad.s3.amazonaws.com/public/avatars/avatar-10.webp",
    campaignName: "Luis Rocha",
    company: "Allianz",
    companyIcon: AliExpressIcon,
    salesRange: 2580,
    paymentMethod: "Stripe",
    commission: 25.2,
  },
  {
    id: 4,
    image: "https://isomorphic-furyroad.s3.amazonaws.com/public/avatars/avatar-07.webp",
    campaignName: "Donald Cunha",
    company: "Blender",
    companyIcon: BlenderIcon,
    salesRange: 3980,
    paymentMethod: "Paypal",
    commission: 25.2,
  },
  {
    id: 5,
    image: "https://isomorphic-furyroad.s3.amazonaws.com/public/avatars/avatar-02.webp",
    campaignName: "Albert Flores",
    company: "Blender",
    companyIcon: BlenderIcon,
    salesRange: 6880,
    paymentMethod: "Stripe",
    commission: 25.2,
  },
];

export const fiManChartData = [
  {
    month: "Jan",
    cpc: 50,
    cpa: 10,
  },
  {
    month: "Feb",
    cpc: 85,
    cpa: 16,
  },
  {
    month: "Mar",
    cpc: 70,
    cpa: 83,
  },
  {
    month: "Apr",
    cpc: 39,
    cpa: 17,
  },
  {
    month: "May",
    cpc: 48,
    cpa: 25,
  },
  {
    month: "Jun",
    cpc: 80,
    cpa: 32,
  },
  {
    month: "Jul",
    cpc: 85,
    cpa: 25,
  },
  {
    month: "Aug",
    cpc: 37,
    cpa: 39,
  },
  {
    month: "Sep",
    cpc: 78,
    cpa: 28,
  },
  {
    month: "Oct",
    cpc: 57,
    cpa: 19,
  },
  {
    month: "Nov",
    cpc: 47,
    cpa: 19,
  },
  {
    month: "Dec",
    cpc: 75,
    cpa: 30,
  },
];
